import ts from "typescript";
export const create = ({ factory }) => (params) => {
    const node = factory.createClassDeclaration(undefined, params.export && [factory.createModifier(ts.SyntaxKind.ExportKeyword)], factory.createIdentifier(params.name), params.typeParameterDeclaration, undefined, params.members);
    return node;
};
export const make = (context) => {
    return {
        create: create(context),
    };
};
//# sourceMappingURL=ClassDeclaration.js.map