"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.create = exports.Method = void 0;
const ApiClientInterface = __importStar(require("./ApiClientInterface"));
const Class = __importStar(require("./Class"));
const Constructor = __importStar(require("./Constructor"));
const Method = __importStar(require("./Method"));
exports.Method = Method;
const create = (factory, list, option) => {
    const methodList = list.map(params => {
        return Method.create(factory, params, option);
    });
    const members = [Constructor.create(factory), ...methodList];
    return [...ApiClientInterface.create(factory, list, option), Class.create(factory, members)];
};
exports.create = create;
//# sourceMappingURL=index.js.map