import ts from "typescript";
export interface Params {
    expression: ts.Expression;
    literal: ts.TemplateMiddle | ts.TemplateTail;
}
export interface Factory {
    create: (params: Params) => ts.TemplateSpan;
}
export declare const create: ({ factory }: Pick<ts.TransformationContext, "factory">) => Factory["create"];
export declare const make: (context: Pick<ts.TransformationContext, "factory">) => Factory;
